Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## archive.system
Class PRequestVoloManager

    java.lang.Object
      archive.utility.RequestInfo
          archive.system.PRequestVoloManager

All Implemented Interfaces:
  RichiestaPrenotazioneVolo

    public class PRequestVoloManager

extends RequestInfo
implements RichiestaPrenotazioneVolo

Una classe per la richiesta di prenotazione volo. Mostra l'elenco dei voli e se c'e' disponibilita consente di prenotare.

Constructor Summary
`PRequestVoloManager()`

Method Summary
`boolean` | `doPrenotation(Volo v, java.lang.String c, java.lang.String n, java.lang.String t, Carta carta)` Implementa il metodo dell'interfaccia `RichiestaPrenotazioneVolo` Crea una nuova prenotazione
`Volo` | `isAvaible(java.lang.String partenza, java.lang.String arrivo, java.lang.String orario)` Implementa il metodo dell'interfaccia `RichiestaPrenotazioneVolo` Cotrolla la disponibilita' di un volo
`java.lang.String[]` | `showList()` Implementa il metodo dell'interfaccia `RichiestaPrenotazioneVolo`

Methods inherited from class archive.utility.RequestInfo
`requestInformation`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface archive.interfacce.RichiestaPrenotazioneVolo
`requestInformation`

Constructor Detail

### PRequestVoloManager

    public PRequestVoloManager()

Method Detail

### showList

    public java.lang.String[] showList()

  Implementa il metodo dell'interfaccia `RichiestaPrenotazioneVolo`

  Specified by:
    `showList` in interface `RichiestaPrenotazioneVolo`
  Returns:
    una String[] di voli

### isAvaible

    public Volo isAvaible(java.lang.String partenza,
                          java.lang.String arrivo,
                          java.lang.String orario)

  Implementa il metodo dell'interfaccia `RichiestaPrenotazioneVolo` Cotrolla la disponibilita' di un volo

  Specified by:
    `isAvaible` in interface `RichiestaPrenotazioneVolo`
  Parameters:
    `partenza` - luogo di partenza
    `arrivo` - luogo di arrivo
    `orario` - orario di partenza
  Returns:
    ritorna un `Volo`

### doPrenotation

    public boolean doPrenotation(Volo v,
                                 java.lang.String c,
                                 java.lang.String n,
                                 java.lang.String t,
                                 Carta carta)

  Implementa il metodo dell'interfaccia `RichiestaPrenotazioneVolo` Crea una nuova prenotazione

  Specified by:
    `doPrenotation` in interface `RichiestaPrenotazioneVolo`
  Parameters:
    `v` - Volo da prenotare
    `c` - cognome cliente
    `n` - nome cliente
    `t` - telefono
    `carta` - carta di credito cliente
  Returns:
    true se effettuata con successo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD